summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xbin/emerge-webrsync9
1 files changed, 3 insertions, 6 deletions
diff --git a/bin/emerge-webrsync b/bin/emerge-webrsync
index 6964168b6..e3ec5f639 100755
--- a/bin/emerge-webrsync
+++ b/bin/emerge-webrsync
@@ -226,12 +226,9 @@ do_snapshot() {
local mirror
local compressions=""
- # lzma is not supported in <=app-arch/tarsync-0.2.1, so use
- # bz2 format if we have an old version of tarsync.
- if type -P tarsync > /dev/null && \
- portageq has_version / '<=app-arch/tarsync-0.2.1' ; then
- true
- else
+ # lzma is not supported in app-arch/tarsync, so use
+ # bz2 format if we have tarsync.
+ if ! type -P tarsync > /dev/null ; then
type -P lzcat > /dev/null && compressions="${compressions} lzma"
fi
type -P bzcat > /dev/null && compressions="${compressions} bz2"